<div class="public-horizon-form">
    <div class="public-horizon">
        <label class="horizon-label label-6"><span class="text-red">*</span>生产区域：</label>
        <div class="horizon-group horizon-col-3">
            <ui-select class="andon-content-ui-select" ng-placeholder="请输入" ng-change="workCenterChanged($select);" ng-model="config.currentWorkCenter">
                <ui-select-match placeholder="--- 请选择 ---">
                    <!--config.currentWorkCenter.workCenter ||-->
                    <span ng-bind="config.currentWorkCenter.description"></span>
                </ui-select-match>
                <!-- <ui-select-header>请选择</ui-select-header> -->
                <ui-select-no-choice>
                    <a href ng-click="$select.toggle($event);">暂无数据</a>
                </ui-select-no-choice>
                <ui-select-choices repeat="item in (config.workCenters) track by $index">
                    <span ng-bind-html="item.descriptionNew | highlight: $select.search"></span>
                </ui-select-choices>
            </ui-select>
        </div>
        <label class="horizon-label label-2"><span class="text-red">*</span>拉线：</label>
        <div class="horizon-group horizon-col-3">
            <ui-select class="andon-content-ui-select" ng-placeholder="请输入" ng-change="lineChanged($select);" ng-model="config.currentLine">
                <ui-select-match placeholder="--- 请选择 ---">
                    <!--config.currentLine.workCenter ||-->
                    <span ng-bind="config.currentLine.description"></span>
                </ui-select-match>
                <ui-select-no-choice>
                    <a href ng-click="$select.toggle($event);">
                        <span ng-if="!config.currentWorkCenter.workCenter" class="no-action-color">请先选择生产区域</span>
                        <span ng-if="!!config.currentWorkCenter.workCenter" class="no-data-color">该生产区域暂无拉线</span>
                    </a>
                </ui-select-no-choice>
                <ui-select-choices repeat="item in (config.lines) track by $index">
                    <span ng-bind-html="item.descriptionNew | highlight: $select.search"></span>
                </ui-select-choices>
            </ui-select>
        </div>
        <label class="horizon-label label-4">设备类型：</label>
        <div class="horizon-group horizon-col-3">
            <ui-select class="andon-content-ui-select" ng-placeholder="请输入" ng-change="deviceTypeChanged($select);" ng-model="config.currentDeviceType">
                <ui-select-match placeholder="--- 请选择 ---">
                    <!--config.currentDeviceType.resourceType ||-->
                    <span ng-bind="config.currentDeviceType.description"></span>
                </ui-select-match>
                <ui-select-no-choice>
                    <a href ng-click="$select.toggle($event);">暂无数据</a>
                </ui-select-no-choice>
                <ui-select-choices repeat="item in (config.deviceTypes) track by $index">
                    <span ng-bind-html="item.descriptionNew | highlight: $select.search"></span>
                </ui-select-choices>
            </ui-select>
        </div>
        <label class="horizon-label label-4"><span class="text-red">*</span>设备编码：</label>
        <div class="horizon-group horizon-col-3">
            <ui-select class="andon-ui-mutiply-select" ng-placeholder="请输入"
                       ng-change="deviceNumChanged($select);" ng-model="config.currentDeviceNum">
                <ui-select-match placeholder="--- 请选择 ---">
                    <span ng-bind="config.currentDeviceNum.resrce"></span>
                </ui-select-match>
                <ui-select-no-choice>
                    <a href ng-click="$select.toggle($event);">
                        <span ng-if="!config.currentWorkCenter.workCenter || !config.currentLine.workCenter" class="no-action-color">直接输入编码 或 先选择生产区域、拉线</span>
                        <!-- <span ng-if="!config.currentDeviceType.resourceType" class="no-action-color">请先选择设备类型</span>
                        <span ng-if="!config.currentLine.workCenter && !!config.currentDeviceType.resourceType" class="no-action-color">请先选择拉线</span> -->
                        <span ng-if="!!config.currentWorkCenter.workCenter && !!config.currentLine.workCenter" class="no-data-color">暂无设备号</span>
                    </a>
                </ui-select-no-choice>
                <ui-select-choices repeat="item in (config.deviceNums) track by $index">
                    <span ng-bind-html="item.descriptionNew | highlight: $select.search"></span>
                </ui-select-choices>
            </ui-select>
        </div>

    </div>

    <div class="public-horizon-special">
        <div class="horizon-input-group">
            <label class="horizon-label label-6">
                <span class="text-red">*</span>PLC数据类型：
            </label>
            <div class="horizon-group horizon-col-3">
                <ui-select ng-change="plcCategoryChanged($select);" class="andon-content-ui-select" ng-model="config.currentPlcCategory">
                    <ui-select-match placeholder="--- 请选择 ---">
                        <span ng-bind="config.currentPlcCategory.description"></span>
                    </ui-select-match>
                    <ui-select-no-choice>
                        <a href ng-click="$select.toggle($event);">暂无数据</a>
                    </ui-select-no-choice>
                    <ui-select-choices repeat="item in (config.plcCategories) track by $index">
                        <span ng-bind-html="item.descriptionNew | highlight: $select.search"></span>
                    </ui-select-choices>
                </ui-select>
            </div>
            <div class="horizon-btns">
                <button ng-click="queryDatas();" ng-disabled="config.btnDisabledQuery" type="submit" class="btn btn-primary">查询</button>
            </div>
            <div class="horizon-btns">
                <button ng-if="networkConfig.canEdit" ng-click="checkAndDeleteSelectedRows();" ng-disabled="config.btnDisabledDelete" type="submit" class="btn btn-primary">删除</button>
            </div>
            <div class="horizon-btns" ng-if="networkConfig.canEdit">
                <button  ng-click="addRows();" ng-disabled="config.btnDisabledAdd" type="submit" class="btn btn-primary">新增</button>
                <input  type="text" ng-model="config.addRowsNum" class="one-line-row form-control">
                <span class="control-label">行</span>
            </div>
        </div>
        <div>
            <button ng-if="networkConfig.canEdit" ng-disabled="config.btnDisabledSave" ng-click="saveAllAcitons();" type="submit" class="btn btn-primary">保存</button>
        </div>
    </div>
</div>
<div class="andon-grid">

    <div id="plc-address-info-part-grid" ui-grid="addressInfoPartGrid" class="myMiddleGrid"
         ui-grid-edit ui-grid-cellnav ui-grid-selection ui-grid-auto-resize
         ui-grid-pagination ui-grid-validate ui-grid-resize-columns></div>

</div>
<!-- ui-grid-pagination -->